<template>
  <span>
    <slot/>
  </span>
</template>

<script>
export default {
  name: 'VueBackToTopStub',
  props: {
    text: {
      type: String,
      default: '',
    },
    visibleoffset: {
      type: [String, Number],
      default: 600,
    },
    visibleoffsetbottom: {
      type: [String, Number],
      default: 0,
    },
    right: {
      type: String,
      default: '30px',
    },
    bottom: {
      type: String,
      default: '40px',
    },
    scrollFn: {
      type: Function,
      default: () => {},
    },
  },
};
</script>
